summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Strong <andrew@andrews-corner.org>2012-04-20 16:11:42 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-04-20 16:11:42 -0400
commit4402746118aaa3457a85dc9836c8d3af2690d8d8 (patch)
tree4be1bb99bcb319bdd1b914346d4b0d35c3beb7fe
parentb07f7da322af55611c809cc0a06e8d03796ffbc2 (diff)
downloadslackbuilds-4402746118aaa3457a85dc9836c8d3af2690d8d8.tar.gz
slackbuilds-4402746118aaa3457a85dc9836c8d3af2690d8d8.tar.xz
games/d1x-rebirth: Added (port of Descent 1)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--games/d1x-rebirth/README12
-rw-r--r--games/d1x-rebirth/d1x-rebirth.SlackBuild106
-rw-r--r--games/d1x-rebirth/d1x-rebirth.info10
-rw-r--r--games/d1x-rebirth/doinst.sh3
-rw-r--r--games/d1x-rebirth/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/games/d1x-rebirth/README b/games/d1x-rebirth/README
new file mode 100644
index 0000000000..28fc847a6d
--- /dev/null
+++ b/games/d1x-rebirth/README
@@ -0,0 +1,12 @@
+d1x-rebirth is a source port of the Descent 1 Engine for Windows,
+Mac OS and Linux offering OpenGL graphics and effects, advanced
+Multiplayer gaming, many improvements and new features.
+
+You will need the game data files to actually use d1x-rebirth,
+place these in /usr/share/games/d1x-rebirth or ~/.d1x-rebirth.
+Details of how to extract the correct game files are found in
+the file INSTALL.txt. For enhanced gameplay I would suggest that
+you consider downloading both the Highres 'AddOn pack' and improved
+soundtrack 'AddOn pack' from the dxx-rebirth site.
+
+d1x-rebirth requires scons and physfs, both available on SBo.
diff --git a/games/d1x-rebirth/d1x-rebirth.SlackBuild b/games/d1x-rebirth/d1x-rebirth.SlackBuild
new file mode 100644
index 0000000000..233a368e81
--- /dev/null
+++ b/games/d1x-rebirth/d1x-rebirth.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for d1x-rebirth
+
+# Copyright 2012 Andrew Strong (http://www.andrews-corner.org)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=d1x-rebirth
+VERSION=${VERSION:-0.57.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAME=${SRCNAME:-d1x-rebirth_v0.57.2-src}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAME
+tar xvf $CWD/$SRCNAME.tar.gz
+cd $SRCNAME
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# 'sharepath' is for the game-content data files, they can
+# also perhaps more conveniently go in ~/.d1x-rebirth...
+scons CXXFLAGS="$SLKCFLAGS" \
+ CFLAGS="$SLKCFLAGS" \
+ prefix=/usr \
+ sharepath=/usr/share/games/d1x-rebirth
+
+# DESTDIR does not work so we do it manually:
+mkdir -p $PKG/usr/bin
+mv $PRGNAM $PKG/usr/bin
+
+# It is a commandline program but perhaps somebody will use these:
+mkdir -p $PKG/usr/share/pixmaps
+mv d1x-rebirth.xpm $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/applications/
+mv d1x-rebirth.desktop $PKG/usr/share/applications/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# d1x.ini is a handy list of commandline options...
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.txt COPYING.txt INSTALL.txt README.txt RELEASE-NOTES.txt d1x.ini \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/d1x-rebirth/d1x-rebirth.info b/games/d1x-rebirth/d1x-rebirth.info
new file mode 100644
index 0000000000..debba7250f
--- /dev/null
+++ b/games/d1x-rebirth/d1x-rebirth.info
@@ -0,0 +1,10 @@
+PRGNAM="d1x-rebirth"
+VERSION="0.57.2"
+HOMEPAGE="http://www.dxx-rebirth.com/"
+DOWNLOAD="http://sourceforge.net/projects/dxx-rebirth/files/dxx-rebirth/0.57.2/d1x-rebirth_v0.57.2-src.tar.gz"
+MD5SUM="eafc2ad8405d2670689c46723ee665dc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Strong"
+EMAIL="andrew@andrews-corner.org"
+APPROVED="dsomero"
diff --git a/games/d1x-rebirth/doinst.sh b/games/d1x-rebirth/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/d1x-rebirth/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/d1x-rebirth/slack-desc b/games/d1x-rebirth/slack-desc
new file mode 100644
index 0000000000..2bfbc87e3e
--- /dev/null
+++ b/games/d1x-rebirth/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+d1x-rebirth: d1x-rebirth (port of Descent 1)
+d1x-rebirth:
+d1x-rebirth: d1x-rebirth is a source port of the Descent 1 Engine for Windows,
+d1x-rebirth: Mac OS and Linux offering OpenGL graphics and effects, advanced
+d1x-rebirth: Multiplayer gaming as well as many improvements and new features.
+d1x-rebirth:
+d1x-rebirth: Homepage: http://www.dxx-rebirth.com/
+d1x-rebirth:
+d1x-rebirth:
+d1x-rebirth:
+d1x-rebirth: